Autotune DSP parameters
curl --request POST \
--url https://studio.edgeimpulse.com/v1/api/{projectId}/jobs/autotune-dsp \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"dspId": 123,
"config": {}
}
'import requests
url = "https://studio.edgeimpulse.com/v1/api/{projectId}/jobs/autotune-dsp"
payload = {
"dspId": 123,
"config": {}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({dspId: 123, config: {}})
};
fetch('https://studio.edgeimpulse.com/v1/api/{projectId}/jobs/autotune-dsp', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"id": 12873488112,
"error": "<string>"
}Autotune DSP parameters
Autotune DSP block parameters. Updates are streamed over the websocket API.
POST
/
api
/
{projectId}
/
jobs
/
autotune-dsp
Autotune DSP parameters
Authorizations
ApiKeyAuthenticationJWTAuthenticationJWTHttpHeaderAuthenticationOAuth2
Path Parameters
Project ID
Body
application/json
DSP block ID to autotune parameters of
Optional updated DSP block config. If undefined, the current saved block config will be used. This enables experimenting with the autotuner using temporary config options, without updating the stored DSP block config.
Show child attributes
Show child attributes
Was this page helpful?
⌘I